/**
 * XRoleClassCoverageInvoice.java
 *
 * File generated from the medication::XRoleClassCoverageInvoice uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XRoleClassCoverageInvoice.
 *
 * 
 */

@XmlType(name = "XRoleClassCoverageInvoice")
@XmlEnum
@XmlRootElement(name = "XRoleClassCoverageInvoice")
public enum XRoleClassCoverageInvoice {
	@XmlEnumValue("PAYEE")
	PAYEE("PAYEE"),
	@XmlEnumValue("PAYOR")
	PAYOR("PAYOR");
	
	private final String value;

    XRoleClassCoverageInvoice(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XRoleClassCoverageInvoice fromValue(String v) {
        for (XRoleClassCoverageInvoice c: XRoleClassCoverageInvoice.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}